<?
function showframes () {
global $design,$myinfo;
echo"

<HTML><HEAD>
<TITLE>АНТИБК Online</TITLE>
<META HTTP-EQUIV=\"Keywords\" NAME=\"Keywords\" CONTENT=\"АНТИБК Online, игра, online\">
<META HTTP-EQUIV=\"Description\" NAME=\"Description\" CONTENT=\"АНТИБК Online\">
<LINK REL=\"SHORTCUT ICON\" href=\"favicon.ico\">
<meta content=\"text/html; charset=windows-1251\" http-equiv=Content-type>

<STYLE id='mst1'>
.ismagic {background-color: #E0E0E2}
</STYLE>

<SCRIPT LANGUAGE=\"JavaScript\">
<!--
var CtrlPress = false;
var FrameCheck=new Array;
var firsttimes=5;

totrefcount=0;

TimerOn=setInterval('fwlist()', 250);

var fw = new Array;
function fwlist() {
	if (fw.length == 0) return;

	if (!top.frames['main".$myinfo->id_person."'].JSFX) {
		while (fw.length) fw.pop();
		return;
	}

	var snd_delay=0;
	var snd_type=10;
	do {
		if (snd_delay == 0) {
			if (fw[2]<3) {
				snd_delay = 1900;
				snd_type = 9;
			}
			if (fw[2]>=3 && fw[2]<6) {
				snd_delay = 2200;
				snd_type = 8;
			}
			if (fw[2]>=5) {
				snd_delay = 1;
				snd_type = 10;
			}

			if (top.SoundSys==true) {top.frames['bottom'].window.document.Sound.SetVariable(\"Sndplay\",snd_type);}
		}
		var func = \"top.frames['main".$myinfo->id_person."'].fireworks(\"+fw.shift()+\", \"+fw.shift()+\", \"+fw.shift()+\")\";
		setTimeout(func, snd_delay);

		if (fw[0]==-1) {
			fw.shift(); break;
		}
	} while (fw.length);
}

function fireworks(x,y,type) {
	fw.push(x);
	if (x==-1) return;
	fw.push(y); fw.push(type);
}

function check_frames() {
	return 0;
	var i;
	if (firsttimes) {firsttimes--; return;}
	for (i=0; i<FrameCheck.length; i++)
	{
		try {
			var l=eval('top.'+FrameCheck[i]+'.location.hostname;');
   		}
		catch (e) {
			totrefcount++;
			if (totrefcount >= 10) {
				if (totrefcount == 10) top.location=\"/index.html\";
				return(0);
			}
			top.location=top.location+\"\";
			return(1);
		}
	}
	totrefcount=0;
}
CheckTimer=setInterval(\"check_frames()\",1000);

function AddToFrameCheck(name)
{
	var i;
	for (i=0; i<FrameCheck.length; i++)
	{
		if (FrameCheck[ i ]==name) return;
	}
	FrameCheck[ FrameCheck.length ]=name;
}

function cmloc(url) {
	top.frames['main".$myinfo->id_person."'].location = url;
}

function AddTo(login){
	if (CtrlPress) {
		login = login.replace('%', '%25');
		while (login.indexOf('+')>=0) login = login.replace('+', '%2B');
		while (login.indexOf('#')>=0) login = login.replace('#', '%23');
		while (login.indexOf('?')>=0) login = login.replace('?', '%3F');
		window.open('/inf.php?login='+login, '_blank')
	} else {
		var o = top.frames['main".$myinfo->id_person."'].Hint3Name;
		if ((o != null)&&(o != \"\")) {
			top.frames['main".$myinfo->id_person."'].document.all(o).value=login;
			top.frames['main".$myinfo->id_person."'].document.all(o).focus();
		} else {
			top.frames['bottom'].window.document.F1.text.focus();
			var txt=top.frames['bottom'].document.forms[0].text.value;
			var ntxt='to ['+login+'] ';

			var i = txt.indexOf(ntxt);
			if (i!=-1) {
				txt = txt.substr(0,i) + 'private ['+login+'] '+ txt.substr(i+ntxt.length, txt.length);
			} else {
				var ntxt2='private ['+login+'] ';
				i = txt.indexOf(ntxt2);
				if (i!=-1) {
					txt = txt.substr(0,i) + 'to ['+login+'] '+ txt.substr(i+ntxt2.length, txt.length);
				} else {
					txt = ntxt + txt;
				}
			}

			top.frames['bottom'].document.forms[0].text.value = txt;
		}
	}
}
function AddToPrivate(login, nolookCtrl){

	if (CtrlPress && !nolookCtrl) {
		login = login.replace('%', '%25');
		while (login.indexOf('+')>=0) login = login.replace('+', '%2B');
		while (login.indexOf('#')>=0) login = login.replace('#', '%23');
		while (login.indexOf('?')>=0) login = login.replace('?', '%3F');
		window.open('/inf.php?login='+login, '_blank')
	} else {
		top.frames['bottom'].window.document.F1.text.focus();
		var s=top.frames['bottom'].document.forms[0].text.value;
		if (s.indexOf('private ['+login+'] ')==-1) {
			top.frames['bottom'].document.forms[0].text.value = 'private ['+login+'] ' + top.frames['bottom'].document.forms[0].text.value;
		}
	}

}
function setCookie(name, value) {document.cookie=name+\"=\"+escape(value)+\"; path=/\";}
function getCookie(Name) {
var search = Name + \"=\"
if (document.cookie.length > 0){
	offset = document.cookie.indexOf(search)
	if (offset != -1) {
		offset += search.length
		end = document.cookie.indexOf(\";\", offset)
		if (end == -1) end = document.cookie.length
		return unescape(document.cookie.substring(offset, end))
	}
}}

var rnd = Math.random();
//-- Смена хитпоинтов
var delay = 8;		// Каждые 18сек. увеличение HP на 1%
var redHP = 0.33;	// меньше 30% красный цвет
var yellowHP = 0.66;// меньше 60% желтый цвет, иначе зеленый
var TimerOn = -1;	// id таймера
var tkHP, maxHP;
var speed=100;
var mspeed=100;

function setHP(value, max, newspeed) {
	tkHP=value; maxHP=max;
	if (TimerOn>=0) { clearTimeout(TimerOn); TimerOn=-1; }
	if (newspeed < 1) newspeed=1;
	speed=newspeed;
	setHPlocal();
}
function setHPlocal() {
	if (tkHP>maxHP) { tkHP=maxHP; }
	var le=Math.round(tkHP)+\"/\"+maxHP;
	le=240 - (le.length + 2)*7;
	var sz1 = Math.round(((le-1)/maxHP)*tkHP);
	var sz2 = le - sz1;
	if (top.frames['main".$myinfo->id_person."'].document.all(\"HP\")) {
		top.frames['main".$myinfo->id_person."'].document.HP1.width=sz1;
		top.frames['main".$myinfo->id_person."'].document.HP2.width=sz2;
		if (tkHP/maxHP < redHP) { top.frames['main".$myinfo->id_person."'].document.HP1.src='../i/misc/bk_life_red.gif'; }
		else {
			if (tkHP/maxHP < yellowHP) { top.frames['main".$myinfo->id_person."'].document.HP1.src='../i/misc/bk_life_yellow.gif'; }
			else { top.frames['main".$myinfo->id_person."'].document.HP1.src='../i/misc/bk_life_green.gif'; }
		}
		var s = top.frames['main".$myinfo->id_person."'].document.all(\"HP\").innerHTML;
		top.frames['main".$myinfo->id_person."'].document.all(\"HP\").innerHTML = Math.round(tkHP)+\"/\"+maxHP;
	}
	tkHP = (tkHP+(maxHP/100)*speed/1000);
	if (tkHP<maxHP) { TimerOn=setTimeout('setHPlocal()', delay*100); }
	else { TimerOn=-1; }
}

//-- Смена маны
var Mdelay = 8; // 18 sec
var MTimerOn = -1;	// id таймера
var tkMana, maxMana;

function setMana(value, max, newspeed) {
	tkMana=value; maxMana=max;
	if (MTimerOn>=0) { clearTimeout(MTimerOn); MTimerOn=-1; }
	if (newspeed < 1) newspeed=1;
	mspeed=newspeed;
	setManalocal();
}
function setManalocal() {
	if (maxMana==0) return(0);
	if (tkMana>maxMana) { tkMana=maxMana; }
	var le=Math.round(tkMana)+\"/\"+maxMana;
	le=240 - (le.length + 2)*7;
	var sz1 = Math.round(((le-1)/maxMana)*tkMana);
	var sz2 = le - sz1;
	if (top.frames['main".$myinfo->id_person."'].document.all(\"Mana\")) {
		top.frames['main".$myinfo->id_person."'].document.Mana1.width=sz1;
		top.frames['main".$myinfo->id_person."'].document.Mana2.width=sz2;
		top.frames['main".$myinfo->id_person."'].document.Mana1.src='../i/misc/bk_life_beg_33.gif';
		var s = top.frames['main".$myinfo->id_person."'].document.all(\"Mana\").innerHTML;
		top.frames['main".$myinfo->id_person."'].document.all(\"Mana\").innerHTML = s.substring(0, s.lastIndexOf(':')+1) + Math.round(tkMana)+\"/\"+maxMana;
	}
	tkMana = (tkMana+(maxMana/1000)*mspeed/100);
	if (tkMana<maxMana) { MTimerOn=setTimeout('setManalocal()', Mdelay*100); }
	else { MTimerOn=-1; }
}

//-- Обновление чата
var ChatTimerID = -1;		// id таймера для чата
var ChatDelay = 15;			// через сколько сек. рефрешить чат
var ChatNormDelay = 15;		// через сколько сек. рефрешить чат при нормальном обновлении
var ChatSlowDelay = 60;		// через сколько сек. рефрешить чат при медленном обновлении
var ChatOm = false;			// фильтр сообщений в чате
var ChatSys = false;		// фильтр системных сообщений в чате
var SoundSys = false;		// звуковое оповещение
var ChatSlow = false;		// обновление чата раз в минуту
var ChatTranslit = false;	// преобразование транслита
";	
#$res=db_use('array',"SELECT count(*) as coun FROM chat "); 
#if ($res['coun'] >10000 ) {
#$res=db_use('query',"delete from chat where timestamp<'".(time()-3600*4)."'");
#}
$res=db_use('array',"SELECT max(id_am)-2000 as m FROM chat "); #WHERE id_room='".$myinfo->id_room."';");
echo "
var lid = ".(0+$res['m']).";				// номер последнего сообщения в чате
function RefreshChat()
{	var s = '&lid='+lid;
	if (ChatOm) { s=s+'&om=1'; }

	if (ChatSys) { s=s+'&sys=1'; }
	if (ChatTimerID>=0) { clearTimeout(ChatTimerID); }
	ChatTimerID = setTimeout('RefreshChat()', ChatDelay*1000);
	top.frames['refreshed'].location='/ch.php?show='+Math.random()+s;
}
// останавливает обновление чата
function StopRefreshChat(){
	if (ChatTimerID>=0) {clearTimeout(ChatTimerID); }
	ChatTimerID = -1;
}
// сбрасывает таймер счетчика
function NextRefreshChat(){
	if (ChatTimerID>=0) {clearTimeout(ChatTimerID); }
	ChatTimerID = setTimeout('RefreshChat()', ChatDelay*1000);
}
// Прокрутка текста чата вниз
function srld(){top.frames['chat'].fcs.focus();}
// Установка lid
function slid(newlid)
{	var o = top.frames['bottom'].F1;
	if (o) {lid=newlid;o.lid.value=newlid;}
}

// Перезагружаем список online, делаем это не сразу, а с паузой
var OnlineDelay = 12;		// пауза в сек. перед релоудом списка online
var OnlineTimerOn = -1;		// id таймера
var OnlineOldPosition = 0;	// Позиция списка перед релоудом
var OnlineStop = true;		// ручное обновление чата
function rld(now) {
	if (OnlineTimerOn < 0 || now) {
		var tm = now ? 2000 : OnlineDelay*1000;
		OnlineTimerOn = setTimeout('onlineReload('+now+')', tm);
	}
}
function onlineReload(now) {
	if (OnlineTimerOn >= 0) clearTimeout(OnlineTimerOn);
	OnlineTimerOn = -1;
	if (! OnlineStop || now) { top.frames['online'].navigate('/ch.php?online='+Math.round(Math.random()*100000));  }
}

//-- Очистка чата
var ChatClearTimerID = -1;	// id таймера для чата
var ChatClearDelay = 900;	// через сколько сек. чистим чат
var ChatClearSize = 32000;	// Сколько байт оставляем после чистки
function RefreshClearChat(){
	if (ChatClearTimerID>=0) { clearTimeout(ChatClearTimerID); }
	ChatClearTimerID = setTimeout('RefreshClearChat()', ChatClearDelay*1000);
	var s = top.frames['chat'].document.all(\"mes\").innerHTML;
	if (s.length > ChatClearSize) { // Надо чистить
		var j = s.lastIndexOf('<BR>', s.length-ChatClearSize);
		top.frames['chat'].document.all(\"mes\").innerHTML = s.substring(j, s.length);
	}
}

function ClrChatUser(name) {
	var s = top.frames['chat'].document.all(\"mes\").innerHTML;
	if (s.length) {
		var r=\"\";
		var change=0;
		s=s.split('<BR>');
		for (i=0; i<s.length; i++) {
			if (s[i].indexOf('[<SPAN>'+name+'</SPAN>]')==-1) {
				r+=s[i]+\"<BR>\";
			} else {
				change++;
			}
		}
		if (change > 0) {top.frames['chat'].document.all(\"mes\").innerHTML=r;}
	}
}

//-- Прочие функции
var oldlocation = '';
function cht(nm){
	if (oldlocation == '') {
		oldlocation = top.frames['main".$myinfo->id_person."'].location.href;
		var i = oldlocation.indexOf('?', 0);
		if (i>0) { oldlocation=oldlocation.substring(0, i) }
	}
	//top.frames['main".$myinfo->id_person."'].navigate(nm);
	top.frames['main".$myinfo->id_person."'].location.href=nm;
}
function returned(){
	if (oldlocation != '') { top.frames['main".$myinfo->id_person."'].navigate(oldlocation+'?tmp='+Math.random()); oldlocation=''; }
	else { top.frames['main".$myinfo->id_person."'].navigate('/main.php?tmp='+Math.random()) }
}
function myscroll(){
	OnlineOldPosition = top.frames['online'].document.body.scrollTop;
}
function CLR1(){
	top.frames[\"bottom\"].document.F1.text.value='';
	top.frames[\"bottom\"].document.F1.text.focus();
}
function CLR2(){
	top.frames['chat'].document.all(\"mes\").innerHTML='';
	top.frames['chat'].document.all(\"oMenu\").style.top=\"0px\";
}
function strt(){// Начинаем
	ChatTimerID = setTimeout('RefreshChat()', 1000);
	OnlineTimerOn = setTimeout('onlineReload(true)', 2*1000);
	ChatClearTimerID = setTimeout('RefreshClearChat()', ChatClearDelay*1000);
}


function fullfastshow (d, el, we, content, dx, dy) {
        var o = we.srcElement;

	var oo = o;

	var rx = o.offsetLeft;
	var ry = o.offsetTop;

	while (oo.offsetParent && oo.offsetParent != d.body ) {
		oo = oo.offsetParent;
		rx += oo.offsetLeft;
		ry += oo.offsetTop;
	}

        if (dx) {el.style.width = dx; el.whiteSpace='';} else {el.whiteSpace='nowrap'; el.style.width='auto';}
        if (dy) {el.style.height = dy;}

        if (content!='' && el.style.visibility != \"visible\") {el.innerHTML = '<small>'+content+'</small>';}
        var x = rx + o.offsetWidth + 10;
        var y = ry + 5;

        if (x + el.offsetWidth + 3 > d.body.clientWidth + d.body.scrollLeft) { x=(rx - el.offsetWidth - 5); if (x < 0) {x=0}; }
        if (y + el.offsetHeight + 3 > d.body.clientHeight  + d.body.scrollTop) { y=(d.body.clientHeight +  + d.body.scrollTop - el.offsetHeight - 3); if (y < 0) {y=0}; }

        el.style.left = x + \"px\";
        el.style.top  = y + \"px\";

        if (el.style.visibility != \"visible\") {
                el.style.visibility = \"visible\";
        }

}

function fullhideshow (el) {
	el.style.visibility = 'hidden';
}

var user = getCookie(\"battle\");
user=2;
if ((user == null)||(user == \"\")) {
	document.write('<BODY>Внимание! Вы или не ввели ваш логин/пароль на титульной странице или в вашем браузере отключена поддержка Cookie. Необходимо их включить (это абсолютно безопасно!) для продолжения игры.<BR>');
	document.write('В меню браузера Internet Explorer выберите \"Сервис\" => \"Свойства обозревателя\" перейдите на закладку \"Конфиденциальность\" и передвиньте ползунок в положение \"Средний\". И попробуйте снова зайти с <A HREF=\"/\">титульной страницы</A>.<BR>В браузере IE версии 5 меню: \"Сервис\" => \"Свойства обозревателя\" => \"Безопасность\" => \"Интернет\" кнопка \"Другой\" => файлы \"cookie\"<BR>Если у вас IE 4-й версии, возможно вам не удастся зайти, с проблемой этой версии браузера мы работаем, но пока единственным решением является: обновление браузера до 5-й или 6-й версии.<BR>Если ничего не помогает, проверьте настройки вашего FireWall, если он установлен, то может не пропускать активные страницы и cookie.<BR>Если проблема не решится, обратитесь за помощью по email: <A HREF=\"mailto:combats@antibk.ru\">combats@antibk.ru</A></BODY>');
} else {
	if (document.all && document.all.item && !window.opera && !document.layers) {
		document.write(".($design!=2?"
	'<frameset rows=\"73, *, 30, 5\" FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\">'+":"
	'<frameset rows=\"37, *, 30, 5\" FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\">'+"
		)."'<frame src=\"/buttons.php?header='+rnd+'\" target=\"_top\" scrolling=NO NORESIZE FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\" MARGINWIDTH=\"0\" MARGINHEIGHT=\"0\">'+
		'<frameset cols=\"9, *, 9\" FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\">'+
			'<frame src=\"frames/left.html\" target=\"_top\" scrolling=NO NORESIZE FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\" MARGINWIDTH=\"0\" MARGINHEIGHT=\"0\">'+
			'<frameset rows=\"72%, *, ".($myinfo->id_person==12?10:0)."\" FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\">'+
				'<frame name=\"main".$myinfo->id_person."\" src=\"main.php?top='+rnd+'\" style=\"border-bottom-width: 2px; border-bottom-style:solid; border-bottom-color:#B0B0B0\">'+
				'<frameset cols=\"*,220\">'+
					'<frame name=\"chat\" src=\"/buttons.php?ch='+rnd+'\" target=\"_top\" scrolling=YES FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\" MARGINWIDTH=\"3\" MARGINHEIGHT=\"3\" onload=\"AddToFrameCheck(\'chat\')\">'+
					'<frame name=\"online\" src=\"ch.php?online=1\" target=\"_blank\" scrolling=YES FRAMEBORDER=0 BORDER=0 FRAMESPACING=0 MARGINWIDTH=3 MARGINHEIGHT=0 onload=\"AddToFrameCheck(\'online\')\">'+
				'</frameset>'+
				'<frame name=\"refreshed\" target=\"_top\" scrolling=\"no\" noresize src=\"refreshed.html\" onload=\"AddToFrameCheck(\'refreshed\')\">'+
			'</frameset>'+
			'<frame src=\"frames/right.html\" target=\"_top\" scrolling=NO NORESIZE FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\" MARGINWIDTH=\"0\" MARGINHEIGHT=\"0\">'+
		'</frameset>'+
		'<frame name=\"bottom\" scrolling=\"no\" noresize src=\"/buttons.php?'+rnd+'\" onload=\"AddToFrameCheck(\'bottom\')\">'+
		'<frame src=\"frames/bottom.html\" target=\"_top\" scrolling=NO NORESIZE FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\" MARGINWIDTH=\"0\" MARGINHEIGHT=\"0\">'+
	'</frameset>');
	} else { alert(\"У вас должен быть Internet Explorer 4.0 или выше. В других броузерах ГЛЮКОВ НЕМЕРЯННО!!!!!\");  		document.write(".($design!=2?"
	'<frameset rows=\"73, *, 30, 5\" FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\">'+":"
	'<frameset rows=\"37, *, 30, 5\" FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\">'+"
		)."'<frame src=\"/buttons.php?header='+rnd+'\" target=\"_top\" scrolling=NO NORESIZE FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\" MARGINWIDTH=\"0\" MARGINHEIGHT=\"0\">'+
		'<frameset cols=\"9, *, 9\" FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\">'+
			'<frame src=\"frames/left.html\" target=\"_top\" scrolling=NO NORESIZE FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\" MARGINWIDTH=\"0\" MARGINHEIGHT=\"0\">'+
			'<frameset rows=\"72%, *, ".($myinfo->id_person==12?10:0)."\" FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\">'+
				'<frame name=\"main".$myinfo->id_person."\" src=\"main.php?top='+rnd+'\" style=\"border-bottom-width: 2px; border-bottom-style:solid; border-bottom-color:#B0B0B0\">'+
				'<frameset cols=\"*,220\">'+
					'<frame name=\"chat\" src=\"/buttons.php?ch='+rnd+'\" target=\"_top\" scrolling=YES FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\" MARGINWIDTH=\"3\" MARGINHEIGHT=\"3\" onload=\"AddToFrameCheck(\'chat\')\">'+
					'<frame name=\"online\" src=\"ch.php?online=1\" target=\"_blank\" scrolling=YES FRAMEBORDER=0 BORDER=0 FRAMESPACING=0 MARGINWIDTH=3 MARGINHEIGHT=0 onload=\"AddToFrameCheck(\'online\')\">'+
				'</frameset>'+
				'<frame name=\"refreshed\" target=\"_top\" scrolling=\"no\" noresize src=\"refreshed.html\" onload=\"AddToFrameCheck(\'refreshed\')\">'+
			'</frameset>'+
			'<frame src=\"frames/right.html\" target=\"_top\" scrolling=NO NORESIZE FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\" MARGINWIDTH=\"0\" MARGINHEIGHT=\"0\">'+
		'</frameset>'+
		'<frame name=\"bottom\" scrolling=\"no\" noresize src=\"/buttons.php?'+rnd+'\" onload=\"AddToFrameCheck(\'bottom\')\">'+
		'<frame src=\"frames/bottom.html\" target=\"_top\" scrolling=NO NORESIZE FRAMEBORDER=\"0\" BORDER=\"0\" FRAMESPACING=\"0\" MARGINWIDTH=\"0\" MARGINHEIGHT=\"0\">'+
	'</frameset>'); }
}
//-->
</SCRIPT>
</HEAD>
<NOSCRIPT>
<FONT COLOR=\"red\">Внимание!</FONT> В вашем браузере отключена поддержка JavaScripts. Необходимо их включить (это абсолютно безопасно!) для продолжения игры.<BR>
В меню браузера Internet Explorer выберите \"Сервис\" => \"Свойства обозревателя\" перейдите на закладку \"Безопасность\". Для зоны <B>Интернет</B> нажмите кнопку \"Другой\". Установите уровень безопасности \"Средний\", этого достаточно. Или же, в списке параметров найдите раздел \"Сценарии\" и там нужно разрешить выполнение Активных сценариев.
</NOSCRIPT>

</html>

";
}
?>